DELETE

Remove Field from Profile

Use this API to remove a custom field from a self-registration profile.

Resource URL

https://<subdomain>.onelogin.com/api/2/self_registration_profiles/<profile_id>/self_registration_fields/<field_id>

Header Parameter

Authorization

required

string

Set to bearer:<access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage users or Manage All.

Resource Parameter

profile

required

integer

Set to the id of the profile that you want to update. If you don't know the profile's id, use the List All Profiles API call to return all profiles and their id values.

id

required

integer

Set to the id of the custom field that you want to remove from the self-registration profile.

Sample Response

On success, no content is returned in the response body.

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "name": "UnauthorizedError",
    "statusCode": 401
}
{
    "message": "The resource with the given id could not be found",
    "name": "NotFoundError",
    "statusCode": 404
}

Postman Collection

Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.

Run in Postman

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

curl 'https://<subdomain>.onelogin.com/api/2/self_registration_profiles/<profile_id>/self_registration_profile_fields/<field_id>' \
-X DELETE \
-H "Authorization: bearer <access_token>"